# BEGIN SourceDeps(oneline):
BuildRequires: perl(Config.pm) perl(Exporter.pm) perl(threads.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
Name:           perl-indirect
Version:        0.26
Release:        alt2_4
Summary:        Lexically warn about using the indirect object syntax
License:        GPL+ or Artistic
Group:          Development/Perl
URL:            http://search.cpan.org/dist/indirect/
Source0:        http://search.cpan.org/CPAN/authors/id/V/VP/VPIT/indirect-%{version}.tar.gz
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(Test/Kwalitee.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(Test/Pod.pm)
BuildRequires:  perl(Test/Pod/Coverage.pm)
BuildRequires:  perl(Test/Portability/Files.pm)
BuildRequires:  perl(XSLoader.pm)
Requires:       perl(XSLoader.pm)


Source44: import.info

%description
When enabled (or disabled as some may prefer to say, since you actually
turn it on by calling no indirect), this pragma warns about indirect object
syntax constructs that may have slipped into your code.

%prep
%setup -q -n indirect-%{version}

%build
%{__perl} Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -type f -name '*.bs' -size 0 -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;


%check
make test

%files
%doc Changes README
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/indirect*

%changelog
* Mon Sep 10 2012 Cronbuild Service <cronbuild@altlinux.org> 0.26-alt2_4
- rebuild with new perl

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 0.26-alt1_4
- update to new release by fcimport

* Mon May 28 2012 Igor Vlasenko <viy@altlinux.ru> 0.26-alt1_2
- fc import

